2.0.18 den 2.0.19 za gecerken acaba bir hata mı var kodlarda?

Sürüm güncelleme ve kod değişiklikleri.

2.0.18 den 2.0.19 za gecerken acaba bir hata mı var kodlarda?

İleti gmby 27.02.2007, 20:32

Arkadaşlar forumumu 2.0.18 den 2.019 za yukselttıkten sonra görsel dogrulama harflerım cıkmaz ve uye alamaz oldum...

Resim

Şeklinde...

Şimdi kodlara baktığımda yeni dosyaya,

Kod: Tümünü seç
#
#-----[ OPEN ]---------------------------------------------
#
includes/usercp_confirm.php

#
#-----[ FIND ]---------------------------------------------
# Line 156
   if (!empty($HTTP_GET_VARS['c']))
   {
      $_png = define_raw_pngs();

      $char = substr($code, intval($HTTP_GET_VARS['c']) - 1, 1);
      header('Content-Type: image/png');
      header('Cache-control: no-cache, no-store');
      echo base64_decode($_png[$char]);

      unset($_png);
      exit;
   }

#
#-----[ REPLACE WITH ]---------------------------------------------
#
   $_png = define_raw_pngs();

   $char = substr($code, -1);
   header('Content-Type: image/png');
   header('Cache-control: no-cache, no-store');
   echo base64_decode($_png[$char]);

   unset($_png);
   exit;


yapılması soylenıyor....

Bu işlem yapıldıktan sonra

Parse error: syntax error, unexpected '}' in /home/xxxxx/public_html/includes/usercp_confirm.php on line 166

Hatasını alıyor ve yukarıda resmını verdıgım sorun hasıla gelıyor...

Acaba dıyerekten cok eskı bır 2.0.18 yedegımden usercp_confirm.php dosyasını cıkardım ve karsılastırma yaptım...

Kod: Tümünü seç
#
#-----[ OPEN ]---------------------------------------------
#
includes/usercp_confirm.php

#
#-----[ FIND ]---------------------------------------------
# Line 156
   if (!empty($HTTP_GET_VARS['c']))
   {
      $_png = define_raw_pngs();

      $char = substr($code, intval($HTTP_GET_VARS['c']) - 1, 1);
      header('Content-Type: image/png');
      header('Cache-control: no-cache, no-store');
      echo base64_decode($_png[$char]);

      unset($_png);
      exit;
   }

#
#-----[ REPLACE WITH ]---------------------------------------------
#
        {
   $_png = define_raw_pngs();

   $char = substr($code, -1);
   header('Content-Type: image/png');
   header('Cache-control: no-cache, no-store');
   echo base64_decode($_png[$char]);

   unset($_png);
   exit;
   }


olmalı bence diye düşünüyorum....Bu işte cok yeni olduğum için lütfen hatam varsa düzeltin arkadaşlar...

Şimdi '' {'' - ''}'' işaretlerini bu şekilde yerine koyarak konulduğunda hata düzeliyor ve görsel doğrulama geri geliyor.Acaba değiştirimesi istenilen

Kod: Tümünü seç
#
#-----[ REPLACE WITH ]---------------------------------------------
#
   $_png = define_raw_pngs();

   $char = substr($code, -1);
   header('Content-Type: image/png');
   header('Cache-control: no-cache, no-store');
   echo base64_decode($_png[$char]);

   unset($_png);
   exit;


Bolumunde olmayan bu ayracları tekrardan kullanmak acaba bir sorun yaratır mı?

Şimdiden cevap verecek arkadaşlara teşekkür ederim...
gmby
Üye
Üye
 
İleti: 21
Kayıt: 15.02.2007, 11:58

İleti XeNo 28.02.2007, 00:23

Merhaba,

Böyle bir başlık açmıştınız sanki. Lütfen oradan devam edin. Güncelleme ile ilgiliydi yine.

Kolay gelsin.

-kilitli-
Kullanıcı avatarı
XeNo
Üye
Üye
 
İleti: 588
Kayıt: 05.10.2005, 16:25
Konum: İstanbul


Sürüm Güncelleme



Kimler çevrimiçi

Bu forumu görüntüleyenler: Kayıtlı kullanıcı yok ve 0 misafir